import { request } from '../utils/request';

/***************************企业通讯录**************************************************** */
/**
 * 角色权限-角色修改
 * @author Zjh
 */
export function enterpriseRoleUpdate(data) {
  return request('/system/com-role/update', {
    method: 'POST',
    data: data || {}
  });
}
/**
 * 角色权限-角色新增
 * @author Zjh
 */
export function enterpriseRoleSave(data) {
  return request('/system/com-role/save', {
    method: 'POST',
    data: data || {}
  });
}
/**
 * 角色权限-通过角色ID查询角色功能
 * @author Zjh
 */
export function enterpriseRoleGet(data) {
  return request('/system/com-role/get', {
    method: 'GET',
    data: data || {}
  });
}
/**
 * 角色权限-通过角色ID删除角色功能
 * @author Zjh
 */
export function enterpriseRoleDeleteById(data) {
  return request('/system/com-role/delete', {
    method: 'GET',
    data: data || {}
  });
}
/**
 * 角色权限-查询角色组与角色列表功能
 * @author Zjh
 */
export function searchRoleAndRoleGroupList(data) {
  return request('/system/com-role-group/list', {
    method: 'GET',
    data: data || {}
  });
}
/**
 * 角色权限-查询角色组与角色列表功能
 * @author Zjh
 */
export function searchRoleGroup(data) {
  return request('/system/com-role-group/get-role-group', {
    method: 'GET',
    data: data || {}
  });
}

/**
 * 角色权限-查询角色组与角色列表功能
 * @author Zjh
 */
export function searchOnlyGroup(data) {
  return request('/system/com-role-group/get-only-group', {
    method: 'GET',
    data: data || {}
  });
}

/**
 * 角色权限-通过角色ID查询角色人员分页
 * @author Zjh
 */
export function searchPerSonByRoleId(data) {
  return request('/system/com-role/page/per-role', {
    method: 'GET',
    data: data || {}
  });
}
/**
 * 角色权限-角色组新增
 * @author Zjh
 */
export function enterpriseRoleGroupSave(data) {
  return request('/system/com-role-group/save', {
    method: 'POST',
    data: data || {}
  });
}
/**
 * 角色权限-角色组修改
 * @author Zjh
 */
export function enterpriseRoleGroupUpdate(data) {
  return request('/system/com-role-group/update', {
    method: 'POST',
    data: data || {}
  });
}
/**
 * 角色权限-角色组删除
 * @author Zjh
 */
export function enterpriseRoleGroupDelete(data) {
  return request('/system/com-role-group/delete', {
    method: 'GET',
    data: data || {}
  });
}
/**
 * 角色权限-通过keyword查询角色及角色组
 * @author Zjh
 */
export function searchRoleListBykeyword(data) {
  return request('/system/com-role/list-by-keyword', {
    method: 'GET',
    data: data || {}
  });
}
/**
 * 角色权限-批量删除角色中人员功能
 * @author Zjh
 */
export function batchesDelete(data) {
  return request('/system/com-role/delete/per-role', {
    method: 'GET',
    data: data || {}
  });
}

/**
 * 查询下级部门功能
 * @author Hjj
 */
export function systemComDepartList(data) {
  return request('/system/com-depart/list', {
    method: 'GET',
    data: data || {}
  });
}
/**
 * 部门人员分页功能
 * @author Hjj
 */
export function systemComDepartPage(data) {
  return request('/system/com-depart/page', {
    method: 'GET',
    data: data || {}
  });
}

/**
 * 部门人员分页功能（包含部门、人员）
 * @author Hjj
 */
export function systemComDepartPageTreeType(data) {
  return request('/system/com-depart/get-org-list', {
    method: 'GET',
    data: data || {}
  });
}

/**
 * 部门更新--编辑保存
 * @author Hjj
 */
export function systemComDepartUpdate(data) {
  return request('/system/com-depart/update', {
    method: 'POST',
    data: data || {}
  });
}
/**
 * 删除部门功能
 * @author Hjj
 */
/**
 * 通过ID获取部门功能
 * @author Hjj
 */
export function systemComDepartGet(data) {
  return request('/system/com-depart/get', {
    method: 'get',
    data: data || {}
  });
}
/**
 * 部门批量离职
 * @author Hjj
 */
export function systemComDepartUpdateLeaveDate(data) {
  return request('/system/com-depart/update-leave-date', {
    method: 'POST',
    data: data || {}
  });
}
/**
 * 导出公司人员Excel
 * @author hjj
 */
export function systemComDepartExportDepart(data) {
  return request('/system/com-depart/export-depart', {
    method: 'GET',
    data: data || {}
  });
}
/**
 * 调整部门人员
 * @author hjj
 */
export function systemComDepartAdjustDepart(data) {
  return request('/system/com-depart/adjust-depart', {
    method: 'POST',
    data: data || {}
  });
}

/***************************企业通讯录-证书管理**************************************************** */
/**
 * 查询人员所有证书
 * @author Orm
 */
export function systemPerCerBaseInfoFindAll(data) {
  return request('/system/per-cer-baseinfo/find-all', {
    method: 'POST',
    data: data || {}
  });
}

/**
 * 新增证书-新增证书-查看证书特殊信息字段；编辑证书-查看已创建证书特殊信息字段和字段值
 * @author Orm
 */
export function systemConfigPerCerInfoFindListByPercertype(data) {
  return request('/system/config-per-cer-info/find-list-by-percertype', {
    method: 'POST',
    data: data || {}
  });
}

/**
 * 新增证书-新增保存
 * @author Orm
 */
export function systemPerCerBaseInfoSave(data) {
  return request('/system/per-cer-baseinfo/save', {
    method: 'POST',
    data: data || {}
  });
}

/**
 * 删除证书
 * @author Orm
 */
export function systemPerCerBaseInfoDelete(data) {
  return request('/system/per-cer-baseinfo/delete', {
    method: 'POST',
    data: data || {}
  });
}

/**
 * 编辑证书-查看证书-展示当前证书信息
 * @author Orm
 */
export function systemPerCerBaseInfoFind(data) {
  return request('/system/per-cer-baseinfo/find', {
    method: 'POST',
    data: data || {}
  });
}

/**
 * 编辑证书-查看证书-展示当前证书信息-完整模板
 * @author Orm
 */
export function systemPerCerBaseInfoGet(data) {
  return request('/system/per-cer-baseinfo/get', {
    method: 'POST',
    data: data || {}
  });
}

/**
 * 编辑证书-修改用户证书
 * @author Orm
 */
export function systemPerCerBaseInfoUpdate(data) {
  return request('/system/per-cer-baseinfo/update', {
    method: 'POST',
    data: data || {}
  });
}

/***************************企业通讯录-用户基础信息**************************************************** */
/**
 * 根据手机查看用户基础信息
 * @author Orm
 */
// export function systemPerBaseInfoGetInfoByPhone(data) {
//   return request('/system/per-base-info/get-info-by-phone', {
//     method: 'POST',
//     data: data || {}
//   });
// }

/**
 * 发型激活短信
 * @author Orm
 */
export function systemPlatNewsSendActivationMessage(data) {
  return request('/system/plat-news/send-activation-message', {
    method: 'POST',
    data: data || {}
  });
}

/**
 * 企业通讯录--离职列表
 * @author wxz
 */
export function enterpriseLeaveList(data) {
  return request('/system/per-base-info/page/leave-per', {
    method: 'POST',
    data: data || {}
  });
}

/**
 * 企业通讯录--修改用户基本信息
 * @author wxz
 */
export function systemPerBaseInfoUpdateBaseInfo(data) {
  return request('/system/per-base-info/update-base-info', {
    method: 'POST',
    data: data || {}
  });
}

/**
 * 企业通讯录--保存用户基本信息
 * @author wxz
 */
export function systemPerBaseInfoSaveBaseInfo(data,testUrl, notip) {
  return request('/system/per-base-info/save-base-info', {
    method: 'POST',
    data: data || {}
  }, testUrl, notip);
}

/**
 * 企业通讯录--查看用户基础信息
 * @author wxz
 */
export function systemPerBaseInfoGetPerBaseInfo(data) {
  return request('/system/per-base-info/get-per-base-info', {
    method: 'POST',
    data: data || {}
  });
}

/**
 * 企业通讯录--查询企业类型的特殊字段
 * @author wxz
 */
export function systemConfigPerIndustryFindListByComId(data) {
  return request('/system/config-per-industry/find-list-by-comId', {
    method: 'POST',
    data: data || {}
  });
}

/**
 * 企业通讯录--修改用户详细信息
 * @author wxz
 */
export function systemPerBaseInfoUpdateDetailedInfo(data) {
  return request('/system/per-base-info/update-detailed-info', {
    method: 'POST',
    data: data || {}
  });
}

/**
 * 企业通讯录--选择部门
 * @author wxz
 */
export function systemComDepartGetTreeDepart(data) {
  return request('/system/com-depart/get-tree-depart', {
    method: 'POST',
    data: data || {}
  });
}

/**
 * 企业通讯录--角色获取
 * @author wxz
 */
export function systemComRoleFindAllRole(data) {
  return request('/system/com-role/find-all-role', {
    method: 'GET',
    data: data || {}
  });
}

/**
 * 批量添加角色中人员功能
 * @author hjj
 */
export function systemComRoleInsertPerRole(data) {
  return request('/system/com-role/insert/per-role', {
    method: 'POST',
    data: data || {}
  });
}

/**
 * 企业通讯录/基础信息/改变手机号码
 * @author cyq
 */
export function systemPerBaseInfoUpdateMobile(data) {
  return request('/system/per-base-info/update-mobile', {
    method: 'POST',
    data: data || {}
  });
}

/**
 * 删除人员证件照片
 */
export function deletePerColorPhotoUrl(data) {
  return request('/system/per-base-info/delete-per-color-photo-url', {
    method: 'POST',
    data: data || {}
  });
}
/**
 * 更新上传人员证件照片
 */
export function updatePerColorPhotoUrl(data) {
  return request('/system/per-base-info/update-per-color-photo-url', {
    method: 'POST',
    data: data || {}
  });
}
